{
  "name": "site-front",
  "description": "工地前台项目",
  "scripts": {
    "start": "rca start",
    "build": "rca build",
    "test": "rca test"
  },
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": ""
  },
  "lint-staged": {
    "*.{js,jsx}": [
      "eslint --fix",
      "git add"
    ],
    "packages/**/*.{ts,d.ts}": [
      "npm run build:docs-api",
      "git adddocs"
    ]
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-commit": "lint-staged"
    }
  },
  "keywords": [],
  "author": "",
  "dependencies": {
    "@types/react-router-dom": "^5.1.5",
    "antd": "^4.12.2",
    "axios": "^0.21.1",
    "core-js": "3",
    "echarts": "^5.0.2",
    "echarts-for-react": "^3.0.0-beta.2",
    "moment": "^2.29.1",
    "mux.js": "^5.7.0",
    "node-sass": "^5.0.0",
    "qs": "^6.9.6",
    "rca": "0.0.21",
    "react": "^17.0.1",
    "react-dom": "^17.0.1",
    "react-helmet": "^6.1.0",
    "react-infinite-scroller": "^1.2.4",
    "react-loading": "^2.0.3",
    "react-router-dom": "^5.2.0",
    "sass-loader": "^10.0.5",
    "video.js": "^7.10.2",
    "videojs-contrib-hls": "^5.15.0",
    "videojs-flash": "^2.2.1"
  },
  "devDependencies": {
    "@types/echarts": "^4.9.3",
    "@types/node": "^14.14.25",
    "@types/react": "^16.14.3",
    "@types/react-dom": "^16.9.10",
    "@types/webpack-env": "^1.16.0",
    "babel-plugin-import": "^1.13.3",
    "postcss-pxtorem": "^5.1.1",
    "typescript": "^3.9.7"
  },
  "browserslist": {
    "production": [
      "defaults"
    ],
    "development": [
      "last 1 version"
    ]
  }
}
